%global with_debug 1
%global with_check 0

%if 0%{?with_debug}
%global _find_debuginfo_dwz_opts %{nil}
%global _dwz_low_mem_die_limit 0
%else
%global debug_package %{nil}
%endif

%global provider github
%global provider_tld com
%global project containers
%global repo conmon
# https://github.com/containers/conmon
%global import_path %{provider}.%{provider_tld}/%{project}/%{repo}
%global git0 https://%{import_path}

# Used for comparing with latest upstream tag
# to decide whether to autobuild (non-rawhide only)
%define built_tag v2.0.21
%define built_tag_strip %(b=%{built_tag}; echo ${b:1})
%define download_url %{git0}/archive/%{built_tag}.tar.gz

Name: %{repo}
Epoch: 2
Version: 2.0.21
Release: 2%{?dist}
Summary: OCI container runtime monitor
License: ASL 2.0
URL: %{git0}
Source0: %{download_url}
BuildRequires: gcc
BuildRequires: git
BuildRequires: glib2-devel
BuildRequires: systemd-devel
BuildRequires: systemd-libs
Requires: glib2
Requires: systemd-libs

%description
%{summary}.

%prep
%autosetup -Sgit -n %{name}-%{built_tag_strip}

%build
%{__make} DEBUGTAG=enable_debug

%install
%{__make} PREFIX=%{buildroot}%{_prefix} install install.crio

#define license tag if not already defined
%{!?_licensedir:%global license %doc}

%files
%license LICENSE
%doc README.md
%{_bindir}/%{name}
%{_libexecdir}/crio/%{name}

%changelog
* Tue Sep 15 14:31:07 EDT 2020 Lokesh Mandvekar <lsm5@fedoraproject.org> - 2:2.0.21-2
- build v2.0.21 correctly

* Wed Sep  9 2020 RH Container Bot <rhcontainerbot@fedoraproject.org> - 2:2.0.21-1
- autobuilt v2.0.21

* Wed Sep  2 2020 RH Container Bot <rhcontainerbot@fedoraproject.org> - 2:2.0.20-1
- autobuilt v2.0.20

* Wed Sep 02 2020 Lokesh Mandvekar <lsm5@fedoraproject.org> - 2:2.0.20-2
- Resolves: #1786090 - build with -g for debuginfo

* Tue Jul 28 21:10:11 GMT 2020 RH Container Bot <rhcontainerbot@fedoraproject.org> - 2:2.0.20-1
- autobuilt v2.0.20

* Wed Jul 15 2020 RH Container Bot <rhcontainerbot@fedoraproject.org> - 2:2.0.19-1
- autobuilt v2.0.19

* Mon Jun 15 2020 RH Container Bot <rhcontainerbot@fedoraproject.org> - 2:2.0.18-1
- autobuilt v2.0.18

* Tue May 26 2020 RH Container Bot <rhcontainerbot@fedoraproject.org> - 2:2.0.17-1
- autobuilt v2.0.17

* Mon May 25 2020 Lokesh Mandvekar <lsm5@fedoraproject.org> - 2:2.0.16-3
- depend on glib2

* Wed May 13 2020 Lokesh Mandvekar <lsm5@fedoraproject.org> - 2:2.0.16-2
- bump release tag for podman bodhi

* Wed May 13 2020 RH Container Bot <rhcontainerbot@fedoraproject.org> - 2:2.0.16-1
- autobuilt v2.0.16

* Thu Apr 02 2020 RH Container Bot <rhcontainerbot@fedoraproject.org> - 2:2.0.15-1
- autobuilt v2.0.15

* Fri Mar 20 2020 RH Container Bot <rhcontainerbot@fedoraproject.org> - 2:2.0.14-1
- autobuilt v2.0.14

* Tue Mar 17 2020 RH Container Bot <rhcontainerbot@fedoraproject.org> - 2:2.0.13-1
- autobuilt v2.0.13

* Mon Mar 16 2020 RH Container Bot <rhcontainerbot@fedoraproject.org> - 2:2.0.12-1
- autobuilt v2.0.12

* Thu Mar 12 2020 Lokesh Mandvekar <lsm5@fedoraproject.org> - 2:2.0.11-2
- Resolves: containers/libpod#5467

* Wed Mar 04 2020 RH Container Bot <rhcontainerbot@fedoraproject.org> - 2:2.0.11-1
- autobuilt v2.0.11

* Sat Jan 25 2020 Lokesh Mandvekar <lsm5@fedoraproject.org> - 2:2.0.10-7
- 2.0.10-7 for obs test

* Sat Jan 25 2020 Lokesh Mandvekar <lsm5@fedoraproject.org> - 2:2.0.10-6
- test

* Sat Jan 25 2020 Lokesh Mandvekar <lsm5@fedoraproject.org> - 2:2.0.10-5
- bump for OBS test

* Sat Jan 25 2020 Lokesh Mandvekar <lsm5@fedoraproject.org> - 2:2.0.10-4
- bump for OBS test

* Sat Jan 25 2020 Lokesh Mandvekar <lsm5@fedoraproject.org> - 2:2.0.10-3
- bump for OBS test

* Thu Jan 23 2020 RH Container Bot <rhcontainerbot@fedoraproject.org> - 2:2.0.10-2
- bump to v2.0.10
- autobuilt 7a830be

* Mon Jan 06 2020 RH Container Bot <rhcontainerbot@fedoraproject.org> - 2:2.0.9-2
- bump to v2.0.9
- autobuilt 60b42f2

* Wed Jan 01 2020 RH Container Bot <rhcontainerbot@fedoraproject.org> - 2:2.0.8-2
- bump to v2.0.8
- autobuilt 5ca7df2

* Mon Dec 16 2019 Jindrich Novy <jnovy@redhat.com> - 2:2.0.8-1
- bump to v2.0.8

* Mon Oct 21 2019 Lokesh Mandvekar <lsm5@fedoraproject.org> - 2:2.0.2-1
- bump to v2.0.2

* Wed Sep 25 2019 Lokesh Mandvekar <lsm5@fedoraproject.org> - 2:2.0.1-1
- Resolves: #1753594, #1753671
- bump to v2.0.1

* Tue Sep 10 2019 Lokesh Mandvekar <lsm5@fedoraproject.org> - 2:2.0.0-2
- remove BR: go-md2man since no manpages yet

* Tue Sep 10 2019 Lokesh Mandvekar <lsm5@fedoraproject.org> - 2:2.0.0-1
- bump to v2.0.0

* Fri May 31 2019 Lokesh Mandvekar <lsm5@fedoraproject.org> - 2:0.2.0-1
- initial package
